Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.annotation
Interface AnnotationSupport

All Known Implementing Classes:
  DefaultAnnotationSupport

    public interface AnnotationSupport

Used by `GuiCommands.bindAnnotatedCommands(CommandContainer, Object)` and associated methods to automatically create commands from methods annotated with either `@ActionCommand` or `@SwingWorkerCommand`.

Custom implementations can be installed using `Defaults.setAnnotationSupport(AnnotationSupport)`. The default implementation is `DefaultAnnotationSupport`.

Method Summary
`void` | `bindAnnotatedCommands(CommandContainer container, java.lang.Object target)` Scans the specified target for annotated methods and binds the newly created commands to the specified container.
`void` | `bindAnnotatedCommands(java.awt.Component component, java.lang.Object target)` Scans the specified target for annotated methods and binds the newly created commands to the specified container.

Method Detail

### bindAnnotatedCommands

    void bindAnnotatedCommands(CommandContainer container,
                               java.lang.Object target)

  Scans the specified target for annotated methods and binds the newly created commands to the specified container.

  Parameters:
    `container` - the container to bind the commands to.
    `target` - the object to scan for annotated methods.

### bindAnnotatedCommands

    void bindAnnotatedCommands(java.awt.Component component,
                               java.lang.Object target)

  Scans the specified target for annotated methods and binds the newly created commands to the specified container.

  Parameters:
    `component` - the component to bind the commands to.
    `target` - the object to scan for annotated methods.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch